/***********************************************************************
 * Module:  JavaScriptInterface.java
 * Author:  allen
 * Purpose: Defines the Interface JavaScriptInterface
 ***********************************************************************/

package com.hexin.android.webviewjsinterface;

import android.webkit.WebView;


/** @pdOid 0170ce75-aae7-4469-8ae3-868e281249fb */
public interface JavaScriptInterface {
   /**@param webview 
    * @param callbackId 
    * @param message
    * @pdOid 967c1e84-cbac-4b28-9613-4d6a3df13d48 */
   void onEventAction(WebView webview ,String callbackId, String message);
   /**@param webview 
    * @param callbackId 
    * @param message
    * @pdOid 967c1e84-cbac-4b28-9613-4d6a3df13d48 */
   void onEventAction(WebView webview ,String callbackId, String handlerName, String message);
   /** @pdOid 174285b1-35fd-49e5-be43-eaf26bdee278 */
   void onInterfaceRemoved();
   /**
    * 如果传入的是JsonObject，或者是JsonArray，直接传入相应的对象即可
    * <br>
    * 下面是一些使用场景
    * <br>
    * 1，传入一个String ，结果是将这个string能够传递到JS
    * <br>
    * 2，传入任意一个Object对象（除JSON类型，和基本类型的包装类，String类），将这个对象的地址传递到js
    * <br>
    * 3，传入基本类型的包装类，把包装类的值传到JS
    * <br>
    * 4，传入null，会取出responseData字段，js接到的值为空
    * <br>
    * 5，传入JsonObj，JsonArray
    * @param object
    */
   void onActionCallBack(Object object);

}