package com.hexin.android.webviewjsinterface;

import org.json.JSONException;
import org.json.JSONObject;

import android.webkit.WebView;

/**
 * 查询单个插件是否支持
 *
 */
public class QueryJavaScriptInterface extends BaseJavaScriptInterface{
    private static final String KEY_HANDLERNAME = "handlername";
    private static final String KEY_SUPPORTED   = "supported";
    private static final String SUPPORTED_YES   = "yes";
    private static final String SUPPORTED_NO   = "no";
	@Override
	public void onEventAction(WebView webview, String callbackId, String message) {
		// TODO Auto-generated method stub
		super.onEventAction(webview, callbackId, message);
		String handlerName = getHandlerName(message);
		String handlerPath = JavaScriptInterfaceFactory.mJavaScriptInterfaces.get(handlerName);
		String support = SUPPORTED_YES;
		if(handlerPath == null || "".equals(handlerPath)){
		    //不支持
		    support = SUPPORTED_NO;
		}
		onActionCallBack(createResponseJsonObject(support));
	}
	
	private JSONObject createResponseJsonObject(String result){
	    JSONObject jsonObject = new JSONObject();
	    try {
            jsonObject.put(KEY_SUPPORTED, result);
        } catch (JSONException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
	    return jsonObject;
	}
	
	/**
	 * 解析插件名称
	 */
	private String getHandlerName(String jsonMessage){
	    if(jsonMessage == null ||"".equals(jsonMessage)){
	        return null;
	    }
	    String rst = null;
	    try {
            JSONObject jobj = new JSONObject(jsonMessage);
            rst = jobj.optString(KEY_HANDLERNAME);
        } catch (JSONException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
	    return rst;
	}
	
}
